com.abbyy.mobile.rtr

## Enum Language

- java.lang.Object
- - java.lang.Enum<Language>
  - - com.abbyy.mobile.rtr.Language

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Language>

      public enum Language
      extends java.lang.Enum<Language>

  The language of the text.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Afrikaans` Afrikaans
    `Albanian` Albanian
    `Arabic` Arabic
    `ArmenianEastern` ArmenianEastern
    `ArmenianWestern` ArmenianWestern
    `AzerbaijanianCyrillic` AzerbaijanianCyrillic
    `AzerbaijanianLatin` AzerbaijanianLatin
    `Bashkir` Bashkir
    `Basque` Basque
    `Belarusian` Belarusian
    `Breton` Breton
    `Bulgarian` Bulgarian
    `Catalan` Catalan
    `Chechen` Chechen
    `ChineseSimplified` Chinese (Simplified)
    `ChineseTraditional` Chinese (Traditional)
    `CrimeanTatar` Crimean Tatar
    `Croatian` Croatian
    `Czech` Czech
    `Danish` Danish
    `Dutch` Dutch (Netherlands)
    `DutchBelgian` Dutch (Belgium)
    `English` English
    `Estonian` Estonian
    `Fijian` Fijian
    `Finnish` Finnish
    `French` French
    `German` German (Old Spelling)
    `GermanNewSpelling` German (New Spelling)
    `Greek` Greek
    `Hawaiian` Hawaiian
    `Hebrew` Hebrew
    `Hungarian` Hungarian
    `Icelandic` Icelandic
    `Indonesian` Indonesian
    `Irish` Irish
    `Italian` Italian
    `Japanese` Japanese
    `Kabardian` Kabardian
    `Kazakh` Kazakh
    `Korean` Korean
    `KoreanHangul` Korean (Hangul)
    `Kyrgyz` Kyrgyz
    `Latin` Latin
    `Latvian` Latvian
    `Lithuanian` Lithuanian
    `Macedonian` Macedonian
    `Malay` Malay
    `Maori` Maori
    `Moldavian` Moldavian
    `Mongol` Mongol
    `NorwegianBokmal` Norwegian (Bokmal)
    `NorwegianNynorsk` Norwegian (Nynorsk)
    `Ossetic` Ossetic
    `Polish` Polish
    `Portuguese` Portuguese
    `PortugueseBrazilian` Portuguese (Brazil)
    `Provencal` Provencal
    `RhaetoRomanic` Rhaeto-Romanic
    `Romanian` Romanian
    `Russian` Russian
    `Samoan` Samoan
    `Serbian` Serbian (Cyrillic)
    `SerbianLatin` SerbianLatin
    `Slovak` Slovak
    `Slovenian` Slovenian
    `Spanish` Spanish
    `Swahili` Swahili
    `Swedish` Swedish
    `Tagalog` Tagalog
    `Tatar` Tatar
    `Thai` Thai
    `Turkish` Turkish
    `Ukrainian` Ukrainian
    `Vietnamese` Vietnamese
    `Welsh` Welsh
    `Yiddish` Yiddish
    `Zulu` Zulu

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Language` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Language[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Afrikaans

          public static final Language Afrikaans

      Afrikaans

    - #### Albanian

          public static final Language Albanian

      Albanian

    - #### Arabic

          public static final Language Arabic

      Arabic

    - #### ArmenianEastern

          public static final Language ArmenianEastern

      ArmenianEastern

    - #### ArmenianWestern

          public static final Language ArmenianWestern

      ArmenianWestern

    - #### AzerbaijanianCyrillic

          public static final Language AzerbaijanianCyrillic

      AzerbaijanianCyrillic

    - #### AzerbaijanianLatin

          public static final Language AzerbaijanianLatin

      AzerbaijanianLatin

    - #### Bashkir

          public static final Language Bashkir

      Bashkir

    - #### Basque

          public static final Language Basque

      Basque

    - #### Belarusian

          public static final Language Belarusian

      Belarusian

    - #### Breton

          public static final Language Breton

      Breton

    - #### Bulgarian

          public static final Language Bulgarian

      Bulgarian

    - #### Catalan

          public static final Language Catalan

      Catalan

    - #### Chechen

          public static final Language Chechen

      Chechen

    - #### ChineseSimplified

          public static final Language ChineseSimplified

      Chinese (Simplified)

    - #### ChineseTraditional

          public static final Language ChineseTraditional

      Chinese (Traditional)

    - #### CrimeanTatar

          public static final Language CrimeanTatar

      Crimean Tatar

    - #### Croatian

          public static final Language Croatian

      Croatian

    - #### Czech

          public static final Language Czech

      Czech

    - #### Danish

          public static final Language Danish

      Danish

    - #### Dutch

          public static final Language Dutch

      Dutch (Netherlands)

    - #### DutchBelgian

          public static final Language DutchBelgian

      Dutch (Belgium)

    - #### English

          public static final Language English

      English

    - #### Estonian

          public static final Language Estonian

      Estonian

    - #### Fijian

          public static final Language Fijian

      Fijian

    - #### Finnish

          public static final Language Finnish

      Finnish

    - #### French

          public static final Language French

      French

    - #### German

          public static final Language German

      German (Old Spelling)

    - #### GermanNewSpelling

          public static final Language GermanNewSpelling

      German (New Spelling)

    - #### Greek

          public static final Language Greek

      Greek

    - #### Hawaiian

          public static final Language Hawaiian

      Hawaiian

    - #### Hebrew

          public static final Language Hebrew

      Hebrew

    - #### Hungarian

          public static final Language Hungarian

      Hungarian

    - #### Icelandic

          public static final Language Icelandic

      Icelandic

    - #### Indonesian

          public static final Language Indonesian

      Indonesian

    - #### Irish

          public static final Language Irish

      Irish

    - #### Italian

          public static final Language Italian

      Italian

    - #### Japanese

          public static final Language Japanese

      Japanese

    - #### Kabardian

          public static final Language Kabardian

      Kabardian

    - #### Kazakh

          public static final Language Kazakh

      Kazakh

    - #### Korean

          public static final Language Korean

      Korean

    - #### KoreanHangul

          public static final Language KoreanHangul

      Korean (Hangul)

    - #### Kyrgyz

          public static final Language Kyrgyz

      Kyrgyz

    - #### Latin

          public static final Language Latin

      Latin

    - #### Latvian

          public static final Language Latvian

      Latvian

    - #### Lithuanian

          public static final Language Lithuanian

      Lithuanian

    - #### NorwegianBokmal

          public static final Language NorwegianBokmal

      Norwegian (Bokmal)

    - #### NorwegianNynorsk

          public static final Language NorwegianNynorsk

      Norwegian (Nynorsk)

    - #### Macedonian

          public static final Language Macedonian

      Macedonian

    - #### Malay

          public static final Language Malay

      Malay

    - #### Maori

          public static final Language Maori

      Maori

    - #### Moldavian

          public static final Language Moldavian

      Moldavian

    - #### Mongol

          public static final Language Mongol

      Mongol

    - #### Ossetic

          public static final Language Ossetic

      Ossetic

    - #### Polish

          public static final Language Polish

      Polish

    - #### Portuguese

          public static final Language Portuguese

      Portuguese

    - #### PortugueseBrazilian

          public static final Language PortugueseBrazilian

      Portuguese (Brazil)

    - #### Provencal

          public static final Language Provencal

      Provencal

    - #### RhaetoRomanic

          public static final Language RhaetoRomanic

      Rhaeto-Romanic

    - #### Romanian

          public static final Language Romanian

      Romanian

    - #### Russian

          public static final Language Russian

      Russian

    - #### Samoan

          public static final Language Samoan

      Samoan

    - #### Serbian

          public static final Language Serbian

      Serbian (Cyrillic)

    - #### SerbianLatin

          public static final Language SerbianLatin

      SerbianLatin

    - #### Slovak

          public static final Language Slovak

      Slovak

    - #### Slovenian

          public static final Language Slovenian

      Slovenian

    - #### Spanish

          public static final Language Spanish

      Spanish

    - #### Swahili

          public static final Language Swahili

      Swahili

    - #### Swedish

          public static final Language Swedish

      Swedish

    - #### Tagalog

          public static final Language Tagalog

      Tagalog

    - #### Tatar

          public static final Language Tatar

      Tatar

    - #### Thai

          public static final Language Thai

      Thai

    - #### Turkish

          public static final Language Turkish

      Turkish

    - #### Ukrainian

          public static final Language Ukrainian

      Ukrainian

    - #### Vietnamese

          public static final Language Vietnamese

      Vietnamese

    - #### Welsh

          public static final Language Welsh

      Welsh

    - #### Yiddish

          public static final Language Yiddish

      Yiddish

    - #### Zulu

          public static final Language Zulu

      Zulu

  - ### Method Detail

    - #### values

          public static Language[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Language c : Language.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Language valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null